Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Client_Hello::Settings Class Reference

`#include <tls_messages.h>`

## Public Member Functions
const std::string & | hostname () const
const Protocol_Version | protocol_version () const
| Settings (const Protocol_Version version, const std::string &hostname="", const std::string &srp_identifier="")
const std::string & | srp_identifier () const

## Detailed Description

Definition at line 70 of file tls_messages.h.

## Constructor & Destructor Documentation

Botan::TLS::Client_Hello::Settings::Settings | ( | const Protocol_Version | version,
|  | const std::string & | hostname = `""`,
|  | const std::string & | srp_identifier = `""`
| ) |  |
| inline

Definition at line 73 of file tls_messages.h.

76 : m_new_session_version(version),
77 m_hostname(hostname),
78 m_srp_identifier(srp_identifier) {}
Botan::TLS::Client_Hello::version
Protocol_Version version() const
Definition: tls_messages.h:92
Botan::TLS::Client_Hello::Settings::srp_identifier
const std::string & srp_identifier() const
Definition: tls_messages.h:82
Botan::TLS::Client_Hello::Settings::hostname
const std::string & hostname() const
Definition: tls_messages.h:81

## Member Function Documentation

const std::string& Botan::TLS::Client_Hello::Settings::hostname | ( |  | ) | const
| inline

Definition at line 81 of file tls_messages.h.

Referenced by Botan::TLS::Client_Hello::Client_Hello().

81 { return m_hostname; }

const Protocol_Version Botan::TLS::Client_Hello::Settings::protocol_version | ( |  | ) | const
| inline

Definition at line 80 of file tls_messages.h.

Referenced by Botan::TLS::Client_Hello::Client_Hello().

80 { return m_new_session_version; }

const std::string& Botan::TLS::Client_Hello::Settings::srp_identifier | ( |  | ) | const
| inline

Definition at line 82 of file tls_messages.h.

Referenced by Botan::TLS::Client_Hello::Client_Hello().

82 { return m_srp_identifier; }

The documentation for this class was generated from the following file:

- src/lib/tls/tls_messages.h